# Delete fund document by doc id

Deletes a document of a fund within a business by providing the unique document GUID id.

Endpoint: DELETE /f/{businessCode}/{fundCode}/dms/documents/{documentId}
Version: 1.0.2
Security: Class_oAuth

## Security:

  - `Class_oAuth` (unknown)
    oAuth2 scopes: fund.read, fund.maintain

## Path parameters:

  - `documentId` (string, required)
    Document Id

  - `businessCode` (string, required)
    Class business code

  - `fundCode` (string, required)
    Class entity code

  - `version` (string, required)
    API version

## Response 204:

  - `204` (unknown)
    Document deleted successfully

## Response 400:

  - `400` (unknown)
    Error Message

## Response 400 fields (application/json):

  - `Errors` (array)

  - `Errors.code` (string)

  - `Errors.message` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_NOT_AUTHORISED

  - `Errors.Message` (string)
    Example: Not authorised

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: FORBIDDEN

  - `Errors.Message` (string)
    Example: You do not have permission to access this resource.

## Response 404:

  - `404` (unknown)
    Resource not available or user does not have access to the fund

## Response 404 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_NOT_FOUND

  - `Errors.Message` (string)
    Example: Resource not available or user does not have access to the fund.

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_INTERNAL_ERROR

  - `Errors.Message` (string)
    Example: An unexpected error occurred on the server. Please try again later.

## Response default:

  - `default` (unknown)
    Unexpected error

## Response default fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_INTERNAL_ERROR

  - `Errors.Message` (string)
    Example: An unexpected error occurred on the server. Please try again later.

